<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
	</head>
	<!-- 消费促进 -->
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">基础活动管理</a></div>
		<div class="common_content_title">活动设置</div>
		<div class="clearfix contactDetailed fenzuDetailed" style="margin-top:0px;margin-left:0px; overflow-y:auto;background: #fff;">
		<div id="div-title-first" style="background-image:url('../../scrm/img/activity-active.png');border-bottom:1px solid #D2D2D2; background-size:33% 100%; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;">
			<span style="padding:0px 13%;">基本设置</span>
			<span style="padding:0px 13%;color:black;">奖励条件</span>
			<span style="padding:0px 13%;color:black;">奖励内容</span>
		</div>
		 <div id="div-title-second" style="background-image:url('../../scrm/img/activity-active2.png');border-bottom:1px solid #D2D2D2;
			background-size:33% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;background-position-x:52%; display:none;">
			<span style="padding:0px 13%;color:black;">基本设置</span>
			<span style="padding:0px 13%;">奖励条件</span>
			<span style="padding:0px 13%;color:black;">奖励内容</span>
		</div>
		 <div id="div-title-third" style="background-image:url('../../scrm/img/activity-active3.png');border-bottom:1px solid #D2D2D2;
			background-size:33% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:50px;background-position-x:100%;display:none;">
			<span style="padding:0px 13%;color:black;">基本设置</span>
			<span style="padding:0px 13%;color:black;">奖励条件</span>
			<span style="padding:0px 13%;">奖励内容</span>
		</div> 
			<div class="common_content_title">&nbsp;&nbsp;<span id="activity_title"></span></div>
			<div>
				<form id="form-activitySetting" style="margin-left:20px">
				<ul id="ul-show-first">
						<li>
							<span>活动场景名称:</span>
							<input name="activitySceneName" id="activitySceneName" data-options="required:true,length:'100'" size="16" type="text" class="form-control input140" value="消费即送奖励" disabled>
						</li>
						<li>
							<span><span class="mustInput">*</span>活动名称:</span>
							<input type="hidden" name="activityInstanceId" id="activityInstanceId" value="">
							<input type="hidden" name="activityCode" id="activityCode" value="">
							<input name="activityInstanceName" id="activityInstanceName" size="16" type="text" data-options="required:true,length:'100'" class="form-control input140" value="">
						</li>
						<li class="clearfix">
							<span class="fl margintop8">
								<span class="mustInput">*</span>活动开始日期:
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<div class="relative">
											<input name="fromDate" id="fromDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'%y-%M-%d',maxDate:'#F{$dp.$D(\'fixedDate\')}'})" readonly />
										</div>
									</div>
								</ol>
							</ul>
						</li>
						<li class="clearfix">
							<span class="fl margintop8">
								<span class="mustInput">*</span>活动有效期:
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="fixedDate_check" type="radio" value="fixed" /> 固定日期  </span>
										<div class="relative">
											<input id="fixedDate" class="Wdate date_input" type="text" value=""
												 onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',minDate:'#F{$dp.$D(\'fromDate\')}'})" readonly />
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="periodDays_check" type="radio" value="period" /> 固定时间段  </span>
										<div class="relative">
											活动开始后
											<input id="periodDays" size="16" type="text" class="form-control input50" value="" data-options="required:false,length:'3',validType:'positiveInteger'"> 天
										</div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="validityType" id="last_check" type="radio" value="forever" /> 无截止日期      </span>
										<i>可在活动历史中手动中止</i>
									</div>
								</ol>
							</ul>
						</li>
						<li>
							<span class="fl"><span class="mustInput">*</span>活动内容:</span>
							<textarea name="activityInstanceDesc" id="activityInstanceDesc" class="form-control input780" rows="3" placeholder="最多可以输入200个字符" data-options="required:true,length:'200'"></textarea>
						</li>
					</ul>
				<!----------------------- 设置页面第一步结束----------------------- -->
								
				<!----------------------- 设置页面第二步----------------------- ---->
					<ul id="ul-show-second" style="display:none;">
						<div style="font-size:25px;border-bottom:solid 1px #D2D2D2;dislpay:inline-block;margin-top:-20px;padding-bottom:10px;width:100%;">奖励条件</div>
						<!-- 活动奖励条件 -->
						<div id = "activity-prize-condition">
							<table id="activitySetting-condition-table" class="easyui-datagrid" style="width:90%;height:380px" 
								data-options="pagination:false,singleSelect:true,collapsible:true">
								<thead>
									 <tr>
						                <th data-options="field:'conditionId',width:150,align:'center'">条件参数ID</th>
						                <th data-options="field:'conditionName',width:300,align:'center'">条件参数名称</th>
						                <th data-options="field:'conditionCode',width:250,align:'center',
						                	formatter:function(value,row,index){return formatProgress_activity_condition(value,row,index);}">参数设置</th>
						            </tr>
								</thead>
							</table>
						</div>
					</ul>
					<!-- ----------------------------------------------------------第三个页面设置-------------------------------------------------- -->
					<ul id="ul-show-third" style="display:none;">
						<div style="font-size:25px;border-bottom:solid 1px #D2D2D2;dislpay:inline-block;margin-top:-20px;padding-bottom:10px;width:100%;">奖励内容</div>
						<li class="clearfix" style="display:inline-block; *zoom:1; *display:inline;">
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_coupons" type="radio" value="coupon" /> 送优惠券    
										</span>
										<span>
											<input name="pointsOrcoupon" id="pointsOrcoupon_points" checked="checked" type="radio" value="points" /> 送积分    
										</span>
									</div>
								</ol>
							</ul>
						</li>
						<li id="li-points">
							<div class="detailed clearfix tabPanel" style="box-shadow:2px 0px 2px #675050;">
								<div class="row margin20">
									<div class="col-xs-2 msg" style="width:10%;">发放比例:</div>
									<div class="col-xs-3">
										<select id="give_points_mode" name="give_points_mode" style="display:block; width:200px;height:35px;" data-options="panelHeight:'auto'">
											<option value="1">按活动次数,每一次触发</option>
											<option value="2">按活动金额,每一元金额</option>
										</select>
									</div>
									<div class="col-xs-4 msg" id="issue-unit" style="margin-left:-27px;display:block;">
										<input  class="form-control" placeholder="" style="width: 84px;display:inline-block;" name="give_points" id="give_points" value="" data-options="length:'5',validType:'rtZero'" />
										<font id="font-points-desc" style="display:none;">
											元，赠送1积分（向下取整)
										</font>
									</div>
								</div>
							</div>
							
							<!-- <div class="row margin20">
								<div class="col-xs-2 msg">积分有效类型</div>
								<div class="col-xs-3">
									<input type="hidden" name="invalidTimeType" id="editInvalidTimeType"  />
				 	 				<input size="16" type="text" class="form-control" id="invalidTimeTypeText" input-type="select" readonly > 
									<ul class="dropdown-menu" id="invalidTimeTypeSelect" data="$.INVALID_TIME_TYPE">
									</ul>
									<i id="invalidTimeTypeText_i" class="input_icon input_down" style="right:25px;"></i>
								</div>
							</div> -->
							<!--滚动日期+固定日期-->
							<!-- <div>
								<div class="row" id="rollDate" style="display:none;">
									<div class="col-xs-2 msg">积分有效期值</div>
									<div class="col-xs-2">
										<input type="hidden" name="invalidTimeValue" id="editInvalidTimeValue"  />
										<input type="text" class="form-control" id="timeValue"  data-options="required:false,length:'4',validType:'rtZero'">
									</div>
									<div class="col-xs-2">
										<input type="hidden" name="dateType" id="dateTypeValue"  />
										<input size="16" type="text" class="form-control" id="dateTypeText" name="dateTypeText"  input-type="select" readonly>
										<ul class="dropdown-menu" id="dateType" data="$.POINT_TIME_TYPE">
										</ul>
										<i id="dateType_i" class="input_icon input_down" style="right:25px;"></i>
									</div>
								</div>
								<div class="row" id="cleanDate" style="display:none;">
									<div class="col-xs-2 msg">积分清理日<input type="hidden" name="cleanTime" id="editCleanTime"  /></div>
									<div class="col-xs-2" id="cleanTime_div1" style="display:none">
												<input name=""  type="text" id="editCleanTime_md"  
												class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'MM-dd'})" />
									</div>
									<div class="col-xs-2" id="cleanTime_div2" >
												<input name=""  type="text" id="editCleanTime_ymd"  
												class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'yyyy-MM-dd'})" />
									</div>
								</div>
								<div class="row" id="specifiedDate" style="display:none;">
									<div class="col-xs-2 msg">指定日期<input type="hidden" name="specifiedDate" /></div>
									<div class="col-xs-2" id="cleanTime_div2" >
												<input name=""  type="text" id="editCleanTime_ymd"  
												class="Wdate date_input" onFocus="WdatePicker({lang:'zh-cn',dateFmt: 'yyyy-MM-dd'})" />
									</div>
								</div>
								</div> -->
						</li>
						<!-- 优惠券弹出 -->
						<div id = "coupon-div" style="display:none;">
							<input type="hidden" name="give_coupons" id="give_coupons" value="" />
							<table id="activitySetting-coupon-table" class="easyui-datagrid" style="width:90%;height:200px" 
								data-options="pagination:true,singleSelect:true,collapsible:true,idField:'couponId'">
								<thead>
									 <tr>
						                <th data-options="field:'couponId',hidden:true,width:100">&nbsp;&nbsp;</th>
						                <th data-options="field:'couponName',width:120,align:'center'">优惠券名称</th>
						                <th data-options="field:'thruDate',width:150,align:'center'
											,formatter : function(value, row, index) {return getDateString(value);}">有效期</th>
						                <th data-options="field:'couponTypeName',width:150,align:'center'">券类型</th>
						                <!-- <th data-options="field:'issueProportion',width:150,align:'center'">数量</th> -->
						                <th data-options="field:'availableQuantity',width:150,align:'center',
						                	formatter:function(value,row,index){return available_show(value,row,index);}">剩余张数</th>
						                <th data-options="field:'lastPublishTime',width:150,align:'center',
						                	formatter:function(value,row,index){return formatProgress_coupon(value,row,index);}">发放数量</th>
						            </tr>
								</thead>
							</table>
						</div>
					</ul>
					&nbsp;&nbsp;
					<button id="aboveBtn-form-activitySetting" style="display:none;" type="button" class="btn back choose_btn">上一步</button>
					<button id="aboveBtn2-form-activitySetting" style="display:none;" type="button" class="btn back choose_btn">上一步</button>
					<button id="nextBtn-form-activitySetting"  type="button"  class="btn btn-success choose_btn">下一步</button>
					<button id="nextBtn2-form-activitySetting"  style="display:none;" type="button"  class="btn btn-success choose_btn">下一步</button>
					<button id="backBtn-form-activitySetting"  type="button" class="btn back choose_btn">返回</button>
					<button id="saveBtn-form-activitySetting" style="display:none;"type="button"  class="btn btn-success choose_btn">保存</button>
					<br/>
					<br/>
					<!----------------------- 设置页面结束----------------------- -->
					<!-- 区域/门店 -->
					<div id="areaChooseManager" class="mask none">
						<div class="detailed labelChoose" style="margin-top:175px;">
							<div class="contactDetailed_title">选择区域/门店</div>
								<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
									<div class="zTreeDemoBackground left">
										<ul id="areaTreeManager" class="ztree"></ul>
									</div>
								</div>
								<div class="contactDetailed_btn">
									<button id="areaSaveBtn" type="button" class="btn btn-success input90">保存</button>
									<button type="button" class="btn input90 detailed_close2">关闭</button>
								</div>
							</div>
					</div>
					
					<!--标签弹出层-->
					<div id="labelChoose-activitySetting" class="mask none">
						<div class="detailed labelChoose">
							<button type="button" class="icon detailed_close"></button>
							<div class="labelChoose_title">
								<span>已选标签</span>
							</div>
							<div class="labelChoose_list clearfix">
								<ul>
								</ul>
							</div>
							<div class="labelChoose_seach">
								<span>查询标签</span>
								<div>
									<input class="form-control" id="likeMemberTagName-activitySetting" value="">
									<a id="queryTag_bt-activitySetting" href="#"><i class="input_icon input_seach"></i></a>
								</div>
							</div>
							<button type="button" id="tagSaveBtn-activitySetting" class="btn btn-success btn-block choose_btn">保存</button>
						</div>
					</div>
			
					<!-- 产品弹出层 -->
					<div id="chanPingTable" class="mask none">
						<div class="detailed labelChoose">
							<button type="button" class="icon detailed_close"></button>
							<div class="labelChoose_list clearfix">
								<div class="common_content_table box_shadow border10">
									<table id="productTable" class="easyui-datagrid" style="width:100%;height:300px" data-options="pagination:true,method:'get'">
										<thead>
											<tr>
												<th data-options="field:'productId',checkbox:true"></th>
												<th data-options="field:'productCode',width:180,align:'center',halign:'center'">产品编号</th>
												<th data-options="field:'productName',width:230,align:'center',halign:'center'">产品名称</th>
											</tr>
										</thead>
									</table>
								</div>
							</div>
							
							<div class="labelChoose_seach">
								<span>产品名称</span>
								<div>
									<input class="form-control" id="seach_product_name" name="productName" value="">
								</div>
								
								<span>产品编号</span>
								<div>
									<input class="form-control" id="seach_product_code" name="productCode" value="">
									<a id="seach_productBtn" href="#"><i class="input_icon input_seach"></i></a>
								</div>
							</div>
							<button type="button" id="saveProductForActivity" class="btn btn-success">保存</button>
						</div>
					</div>
				</form>
			</div>
			</div>
			<script type="text/javascript">
				$(function() {
					require(['activitySettingDetail'], function(re) {
						re.init();
					});
				});
			</script>
	</body>
</html>

